Bug 771587 - [glusterfs-3.3.0qa19]: provide a way to take the statedump of nfs-server from cli
[glusterfs-3.3.0qa19]: provide a way to take the statedump of nfs-server from...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-04 03:39 EST by Raghavendra Bhat
Modified: 2013-07-24 13:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:55:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-01-04 03:39:17 EST
Description of problem:
Currently, from gluster cli only the statedump of the glusterfs servers (bricks) can be taken and there is no way to take the statedump of the nfs server running in all the peers of trusted storage pool. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-01-27 07:23:47 EST
CHANGE: http://review.gluster.com/2579 (glusterd: provide option to take statedump of the nfs server) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Raghavendra Bhat 2012-02-20 00:52:26 EST
Tested with glusterfs-3.3.0qa22. Now statedump of nfs server can be taken with the command gluster volume statedump <volname> nfs. Options such as inode, fd, iobuf etc can also be given for taking statedump.

Note You need to log in before you can comment on or make changes to this bug.